// http://ionicframework.com/docs/theming/


// App Global Sass
// --------------------------------------------------
// Put style rules here that you want to apply globally. These
// styles are for the entire app and not just one component.
// Additionally, this file can be also used as an entry point
// to import other Sass files to be included in the output CSS.
//
// Shared Sass variables, which can be used to adjust Ionic's
// default Sass variables, belong in "theme/variables.scss".
//
// To declare rules for a specific mode, create a child rule
// for the .md, .ios, or .wp mode classes. The mode class is
// automatically applied to the <body> element in the app.

.splash {
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 999;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #0000ff;
}

.list-container .scroll-content {
  background-color: #F5F5F5 !important;
}

ion-navbar .toolbar-title, .theme-bar-title {
  background: -webkit-linear-gradient(to right, #fff 12%, blue 14%);
  background: -moz-linear-gradient(to right, #fff 12%, blue 14%);
  background: -o-linear-gradient(to right, #fff 12%, blue 14%);
  background: linear-gradient(to right, #fff 12%, blue 14%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.theme-title {
  margin-left: 12px !important;
  position: relative;
  font-weight: bold;
  text-transform: capitalize !important;

  > .theme-subtitle {
    font-size: 1.4rem;
    color: #c5c5c5;
    font-weight: normal;
    font-style: italic;
  }
}

.theme-list-item:not(.no-click) {
  transition: 0.150s ease-in-out box-shadow;
  box-shadow: 0 2px 16px rgba(0, 0, 0, 0.6);
}

.theme-title.reversed {
  text-align: right;
  margin-right: 12px !important;
}

.theme-title.reversed:before {
  position: absolute;
  content: '';
  height: calc(100% - 16px);
  width: 7px;
  left: 101%;
  background: color($colors, primary, base);
}

.theme-title-lined {
  position: relative;
}

.theme-title-lined:after {
  z-index: -1;
  content: '';
  bottom: 0;
  left: 0;
  position: absolute;
  height: 2px;
  width: 100%;
  background-color: #EEE;
}

.theme-title:before {
  position: absolute;
  content: '';
  height: calc(100% - 16px);
  width: 7px;
  left: -12px;
  background: color($colors, primary, base);
}

.theme-view-more {
  color: color($colors, primary, base);
  font-weight: bold;
}

.theme-text-crop {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  line-height: 1.5;
  max-height: 1.5*3;
}

.mt-45 {
  margin-top: 45px;
}

.blue-circle {
  z-index: 10;
  position: absolute;
  top: 0;
  left: 0;
  width: 225px;
  height: 225px;
  border-radius: 50%;
  background: color($colors, primary, base);
  transform:translate(-50%, -60%);
}

.border-top-grey {
  border-top: 2px solid #EEE;
}

.font-18 {
  font-size: 1.8rem;
}

.transparent {
  background: transparent;
}

.blue-rounded-menu {
  background: color($colors, primary, base);
}

.color-white {
  color: white;
}

.color-green {
  color: greenyellow;
}

.color-light-grey {
  color: #c5c5c5;
}

.font-bold {
  font-weight: bold;
}

.mb-5 {
  margin-bottom: 5px !important;
}

.mr-10 {
  margin-right: 10px !important;
}

.mtr-10 {
  margin: 10px;
}

.mb-15 {
  margin-bottom: 15px !important;
}

.ml-10 {
  margin-left: 10px;
}

.clear {
  clear: both;
}

#rocket{display:block;margin:0 auto;margin-top:75px;}

/*=============================================
[ Inactive State Styles ]
==============================================*/

.rocket_inner {
  transform: translateY(15px) translateX(-3px);
  -webkit-transition: .3s;
  -moz-transition: .3s;
  transition: .3s;
}
.icon_circle {
  transition: .2s;
  fill: #22303e;
}
.large_window_path {
  transition: .2s;
  fill: #22303e;
}
.small_window_path {
  fill: #22303e;
}
.wing_shadow {
  fill: #34495e;
}
.rocket_bottom { fill: #34495e }
.rocket_base { fill: #34495e }
.rocket_shadow { fill: #34495e }
.window_grandient { stop-color: #2DCB73 }
.window_grandient1 { stop-color: #2AC16D }
.window_grandient2 { stop-color: #29B968 }
.window_grandient3 { stop-color: #28B767 }
.wing_base { fill: #34495e }
.fire_path { fill: #FC0 }

/*=============================================
[ Hover Styles ]
==============================================*/
.rocket_wrap .rocket_base {
  fill: #FFFFFF !important;
  stroke-width: 0px !important;
}
.rocket_wrap .rocket_shadow {
  fill: #EDEDED !important;
  stroke-width: 0px !important;
}
.rocket_wrap .icon_circle {
  fill: #282e3a !important;
  stroke: #fff !important;
  stroke-width: 7px !important;
}
.rocket_wrap .small_window_path {
  fill: #28B767 !important;
  stroke-width: 0px !important;
}
.rocket_wrap .wing_shadow {
  display: block !important;
  fill: #FC9252 !important;
}
.rocket_wrap .wing_base {
  fill: #E16E36 !important;
  stroke-width: 0px !important;
}
.rocket_wrap .rocket_bottom {
  fill: #2DCB73 !important;
  stroke-width: 0px !important;
}
.rocket_wrap .large_window_path {
  fill: url(#SVGID_2_) !important;
  stroke-width: 0px !important;
}
.rocket_wrap .rocket_inner { transform: translateY(0px) translateX(-3px) !important; }

/*=============================================
[ Animation Classes ]
==============================================*/
.fire {
  display: none;
  animation-delay: 0s;
  fill-opacity: 1;
  animation-timing-function: ease-in;
  stroke-width: 0px;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
  transform-origin: 50% 50%;
  animation-direction: normal;
}
.rocket_wrap #fireLeft {
  display: block;
  animation-delay: 0s;
  animation-name: fireLeft, fillOpacity1;
  animation-duration: 1.2s;
}
.rocket_wrap #fireMiddle {
  display: block;
  animation-delay: 0s;
  animation-name: fireMiddle, fillOpacity1;
  animation-duration: 1s;
}
.rocket_wrap #fireRight {
  display: block;
  animation-delay: 0s;
  animation-name: fireRight, fillOpacity1;
  animation-duration: 1.3s;
}
.rocket_wrap #fireSmallLeft {
  display: block;
  animation-delay: 0s;
  animation-name: fireSmall, fillOpacity2;
  animation-duration: 1.3s;
  transform-origin: bottom;
}
.rocket_wrap #fireSmallRight {
  display: block;
  animation-delay: 0.3s;
  animation-name: fireSmall, fillOpacity3;
  animation-duration: 1.6s;
  transform-origin: bottom;
}
/*=============================================
[ KeyFrame Animations ]
==============================================*/
@keyframes fireSmall {
  10% { transform: rotate(17deg) translateY(1px) }
  20% { transform: rotate(-13deg) translateY(2px) }
  30% { transform: rotate(21deg) translateY(3px) }
  40% { transform: rotate(-34deg)translateY(4px) }
  50% { transform: rotate(24deg) translateY(5px) }
  60% { transform: rotate(-17deg) translateY(6px) }
  70% { transform: rotate(31deg) translateY(7px) }
  80% { transform: rotate(-28deg) translateY(8px) }
  90% { transform: rotate(14deg) translateY(9px) }
  99% { transform: rotate(0deg) translateY(10px) }
}
@keyframes fireLeft {
  6% { transform: rotate(25deg) }
  15% { transform: rotate(-19deg) }
  25% { transform: rotate(25deg) }
  32% { transform: rotate(-30deg) }
  46% { transform: rotate(22deg) }
  54% { transform: rotate(-29deg) }
  61% { transform: rotate(32deg) }
  74% { transform: rotate(-9deg) }
  83% { transform: rotate(16deg) }
  99% { transform: rotate(0deg) }
}
@keyframes fireMiddle {
  10% { transform: rotate(25deg) }
  20% { transform: rotate(-25deg) }
  30% { transform: rotate(30deg) }
  40% { transform: rotate(-22deg) }
  50% { transform: rotate(29deg) }
  60% { transform: rotate(-45deg) }
  70% { transform: rotate(37deg) }
  80% { transform: rotate(-15deg) }
  90% { transform: rotate(16deg) }
  99% { transform: rotate(0deg) }
}
@keyframes fireRight {
  15% { transform: rotate(17deg) }
  23% { transform: rotate(-13deg) }
  37% { transform: rotate(21deg) }
  45% { transform: rotate(-34deg) }
  54% { transform: rotate(24deg) }
  67% { transform: rotate(-17deg) }
  72% { transform: rotate(31deg) }
  84% { transform: rotate(-28deg) }
  96% { transform: rotate(14deg) }
  99% { transform: rotate(0deg) }
}
@keyframes fillOpacity1 {
  0% {
    fill-opacity: 1;
    stroke-opacity: 1;
  }
  50% {
    fill-opacity: 1;
    stroke-opacity: 1;
  }
  100% {
    fill-opacity: 0;
    stroke-opacity: 0;
  }
}
@keyframes fillOpacity2 {
  0% {
    fill-opacity: 1;
    stroke-opacity: 1;
  }
  25% {
    fill-opacity: 1;
    stroke-opacity: 1;
  }
  100% {
    fill-opacity: 0;
    stroke-opacity: 0;
  }
}
@keyframes fillOpacity3 {
  0% {
    fill-opacity: 1;
    stroke-opacity: 1;
  }
  67% {
    fill-opacity: 1;
    stroke-opacity: 1;
  }
  100% {
    fill-opacity: 0;
    stroke-opacity: 0;
  }
}
@keyframes rocektMove {
  0% { transform: translateY(0px) }
  100% { transform: translateY(20px) }
}

.splash {
  background: #193485; /* Old browsers */
  background: -moz-linear-gradient(top,  #193485 0%, #2051b7 67%, #2051b7 67%, #6E95FF 100%); /* FF3.6+ */
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#193485), color-stop(67%,#2051b7), color-stop(67%,#2051b7), color-stop(100%,#6E95FF)); /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(top,  #193485 0%,#2051b7 67%,#2051b7 67%,#6E95FF 100%); /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(top,  #193485 0%,#2051b7 67%,#2051b7 67%,#6E95FF 100%); /* Opera 11.10+ */
  background: -ms-linear-gradient(top,  #193485 0%,#2051b7 67%,#2051b7 67%,#6E95FF 100%); /* IE10+ */
  background: linear-gradient(to bottom,  #193485 0%,#2051b7 67%,#2051b7 67%,#6E95FF 100%); /* W3C */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#193485', endColorstr='#6E95FF',GradientType=0 ); /* IE6-9 */
}

.container {
  max-width: 800px;
  height: 500px;
}

@function multiple-box-shadow ($n) {
  $value: '#{random(2000)}px #{random(2000)}px #FFF';
  @for $i from 2 through $n {
    $value: '#{$value} , #{random(2000)}px #{random(2000)}px #FFF';
  }
  @return unquote($value);
}

$stars: multiple-box-shadow(800);

.stars {
  width: 2px;
  height: 2px;
  background: transparent;
  box-shadow: $stars;

  &:after {
    content: "";
    position: absolute;
    top: 2000px;
    width: 2px;
    height: 2px;
    background: white;
    box-shadow: $stars;
  }
}

.splash-logo {
  position: absolute;
  bottom: 10px;

}
